Jump to
Ctrl
+
/

Estimate Approximate Transaction Fee by Asset ID

POST
/vaults/{vaultId}/approximate-fee

Calculates an approximate fee by Asset ID for a planned transaction before it is submitted. This endpoint supports all transaction types: single transfer, multi transfer, gas sponsorship, and batch transfer. Use this endpoint to estimate costs and validate transaction feasibility prior to execution.


For each transaction type, the request body follows the same structure as the corresponding transaction endpoint, except for the Batch transaction. For Batch, the fields feePayer and feePayerAssetId are provided as top-level strings within the item object, rather than as nested objects.

Path Parameters

vaultId string Required

The unique identifier of the vault from which the transaction will originate.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
amount string Optional

Amount to transfer. Required for Single and Gas sponsorship transfers.

assetId string Optional

The identifier of the asset to transfer. (Required for Single, Gas sponsorship and Multiple transfers).

feePayer string Optional

Fee payer (sponsor) address . Required for Batch and Gas sponsorship transfers.

feePayerAssetId string Optional

Asset ID of the fee payer . Required for Batch transfer.

feePriority string Optional

Fee priority - slow, standard, fast. Not applicable for Tron and Solana.

fromAddress string Optional

Sender address. Required for Single, Batch and Gas sponsorship transfers.

prepareStrategy string Optional

Strategy for preparing transaction - minimize_dust or optimize_size. (used for UTXO transactions).

recipients array Items (object) Optional

Destination addresses with amounts. Required for Multiple and Batch transfers.

address string Optional

Address of the destination. Required for Multiple and Batch transfers.

amount string Optional

Amount to transfer. Required for Multiple and Batch transfers.

assetId string Optional

Asset ID for this destination. Required for Batch transfer, provide assetId inside each recipient object instead.

toAddress string Optional

The recipient's address. Required for EVM transactions - Single and Gas sponsorship transfers.

transactionType string Required

Type of transaction: single, multiple, batch. Gas sponsorship transfer use transactionType: single.

vaultAccountId string Required

Sender's vault account ID.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
errorMessage string Required

The message of the error if such occurred.

INSUFFICIENT_FUNDS
feeInNative string Required

The calculated fee.

0.00001698
maxAmount string Required

For UTXO based transactions. The max amount you can send from the vault account.

10
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "errorMessage": "INSUFFICIENT_FUNDS",
            "feeInNative": "0.00001698",
            "maxAmount": "10"
        }
    }
}